package com.ruoyi.branch.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 纪律考评对象 t_branch_assess
 * 
 * @author ruoyi
 * @date 2023-07-31
 */
public class TBranchAssess extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键id */
    @Excel(name = "主键id")
    private Long assessId;

    /** 党员姓名 */
    @Excel(name = "党员姓名")
    private Long assessMember;

    /** 考核时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "考核时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date assessTime;

    /** 考核分数 */
    @Excel(name = "考核分数")
    private Long assessScore;

    /** 部门id */
    @Excel(name = "部门id")
    private Long deptId;

    /** 删除标志（0代表存在 2代表删除） */
    private String delFlag;

    /** 用户昵称 */
    @Excel(name = "用户名称")
    private String nickName;

    public String getNickName() {
        return nickName;
    }

    public void setNickName(String nickName) {
        this.nickName = nickName;
    }

    public void setAssessId(Long assessId)
    {
        this.assessId = assessId;
    }

    public Long getAssessId() 
    {
        return assessId;
    }

    public void setAssessMember(Long assessMember)
    {
        this.assessMember = assessMember;
    }

    public Long getAssessMember()
    {
        return assessMember;
    }

    public void setAssessTime(Date assessTime) 
    {
        this.assessTime = assessTime;
    }

    public Date getAssessTime() 
    {
        return assessTime;
    }

    public void setAssessScore(Long assessScore) 
    {
        this.assessScore = assessScore;
    }

    public Long getAssessScore() 
    {
        return assessScore;
    }

    public void setDeptId(Long deptId) 
    {
        this.deptId = deptId;
    }

    public Long getDeptId() 
    {
        return deptId;
    }

    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }


    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("assessId", getAssessId())
            .append("assessMember", getAssessMember())
            .append("assessTime", getAssessTime())
            .append("assessScore", getAssessScore())
            .append("deptId", getDeptId())
            .append("delFlag", getDelFlag())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
